Skip to main content
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
electric-vehicles
/
{electric_vehicle_id}
/
charge-policy
Get a vehicle's charge policy
curl --request GET \
  --url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/electric-vehicles/{electric_vehicle_id}/charge-policy \
  --header 'Authorization: Bearer <token>'
{
  "metadata": {
    "electric_vehicle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "error": "<string>"
  },
  "data": {
    "mon": {
      "charge_percentage": 123,
      "charge_deadline": "<string>"
    },
    "tue": {
      "charge_percentage": 123,
      "charge_deadline": "<string>"
    },
    "wed": {
      "charge_percentage": 123,
      "charge_deadline": "<string>"
    },
    "thu": {
      "charge_percentage": 123,
      "charge_deadline": "<string>"
    },
    "fri": {
      "charge_percentage": 123,
      "charge_deadline": "<string>"
    },
    "sat": {
      "charge_percentage": 123,
      "charge_deadline": "<string>"
    },
    "sun": {
      "charge_percentage": 123,
      "charge_deadline": "<string>"
    },
    "timezone": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.podero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

org_id
string<uuid>
required

The org ID that the user belongs to

user_id
string<uuid>
required

The user ID of the user whom the electric vehicle belongs to

electric_vehicle_id
string<uuid>
required

The ID of the electric vehicle

Response

OK

metadata
ChargePolicyOutputMetadata · object
required
data
ChargeWeeklyPolicySchema · object
required